= form_for @socio_demographic_info do |f|
  - if @socio_demographic_info.errors.any?
    #error_explanation
      %h2= "#{pluralize(@socio_demographic_info.errors.count, "error")} prohibited this socio_demographic_info from being saved:"
      %ul
        - @socio_demographic_info.errors.full_messages.each do |msg|
          %li= msg

  .field
    = f.label :farmer_id
    = f.number_field :farmer_id
  
  .field
    = f.label :farmer_member_name
    = f.text_field :farmer_member_name
  .field
    = f.label :occupation_id
    = f.collection_select :occupation_id, Occupation.all, :id, :name, :prompt => "Select"
  .field
    = f.label :education_id
    = f.collection_select :education_id, Education.all, :id, :name, :prompt => "Select"
  .field
    = f.label :age
    = f.number_field :age
  .field
    = f.label :gender_id
    = f.collection_select :gender_id, Gender.all, :id, :name, :prompt => "Select"
  .field
    = f.label :local_organisation_member
    = f.check_box :local_organisation_member
  .field
    = f.label :local_organisation_id
    = f.collection_select :local_organisation_id, LocalOrganisation.all, :id, :name, :prompt => "Select"
  .actions
    = f.submit 'Save'
